HTTP: event-side-effects
Default control-plane operations. Complete OpenAPI schema · Authentication and tenancy.
GET /api/event-side-effects/health
Section titled “GET /api/event-side-effects/health”Event Side Effect Health
Operation ID: event_side_effect_health_api_event_side_effects_health_get.
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/EventSideEffectHealthResponse" } } } }, "503": { "description": "Delivery store unavailable" }}Model declarations: EventSideEffectHealthResponse.
GET /api/event-side-effects/deliveries
Section titled “GET /api/event-side-effects/deliveries”Event Side Effect Deliveries
Operation ID: event_side_effect_deliveries_api_event_side_effects_deliveries_get.
| Parameter | Location | Required | Schema |
|---|---|---|---|
status |
query | False | {"anyOf":[{"enum":["pending","leased","failed","delivered","dead_lettered"],"type":"string"},{"type":"null"}],"title":"Status"} |
claimable_only |
query | False | {"type":"boolean","default":false,"title":"Claimable Only"} |
outstanding_only |
query | False | {"type":"boolean","default":true,"title":"Outstanding Only"} |
limit |
query | False | {"type":"integer","maximum":200,"minimum":1,"default":100,"title":"Limit"} |
cursor |
query | False | {"anyOf":[{"type":"string","maxLength":16384},{"type":"null"}],"title":"Cursor"} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/PersistedEventSideEffectPage" } } } }, "400": { "description": "Invalid cursor" }, "503": { "description": "Delivery store unavailable" }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: HTTPValidationError, PersistedEventSideEffectPage.